tigase.kernel.beans.selector

## Class ServerBeanSelector

- java.lang.Object
- - tigase.kernel.beans.selector.ServerBeanSelector

- All Implemented Interfaces:
    BeanSelector

      public class ServerBeanSelector
      extends Object
      implements BeanSelector

  Created by andrzej on 26.04.2017.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerBeanSelector()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getClusterMode(Kernel kernel)`
    `static ConfigTypeEnum` | `getConfigType(Kernel kernel)`
    `protected static <T> T` | `getProperty(Kernel kernel, String name, T defValue)`
    `boolean` | `shouldRegister(Class clazz, Kernel kernel)` Method needs to return true if bean in which annotation class implementing this interface is specified and this bean should be registered

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerBeanSelector

          public ServerBeanSelector()

  - ### Method Detail

    - #### getClusterMode

          public static boolean getClusterMode(Kernel kernel)

    - #### getConfigType

          public static ConfigTypeEnum getConfigType(Kernel kernel)

    - #### getProperty

          protected static <T> T getProperty(Kernel kernel,
                                             String name,
                                             T defValue)

    - #### shouldRegister

          public boolean shouldRegister(Class clazz,
                                        Kernel kernel)

      Description copied from interface: `BeanSelector`
      Method needs to return true if bean in which annotation class implementing this interface is specified and this bean should be registered
      Specified by:
        `shouldRegister` in interface `BeanSelector`
      Returns:

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.